//
//    Copyright 2004-2007 Thomas C. McDermott, N5EG
//    This file is part of VNAR - the Vector Network Analyzer program.
//
//    VNAR is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    VNAR is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with VNAR, if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
#pragma once

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace VNAR3
{

	/// <summary> 
	/// Summary for CursorStatus
	///
	/// WARNING: If you change the name of this class, you will need to change the 
	///          'Resource File Name' property for the managed resource compiler tool 
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>

	/// Display Mouse Coordinates Status
	public __gc class CursorStatus : public System::Windows::Forms::Form
	{
	public: 
		CursorStatus(String* line1, String* line2, String* line3)
		{
			InitializeComponent();
			label1->Text = line1;
			label2->Text = line2;
			label3->Text = line3;
        }
        
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
	private: System::Windows::Forms::Panel *  panel1;
	private: System::Windows::Forms::Label *  label1;
	private: System::Windows::Forms::Label *  label2;
	private: System::Windows::Forms::Label *  label3;
	private: System::Windows::Forms::Label *  label4;






	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container* components;

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->panel1 = (new System::Windows::Forms::Panel());
			this->label4 = (new System::Windows::Forms::Label());
			this->label3 = (new System::Windows::Forms::Label());
			this->label2 = (new System::Windows::Forms::Label());
			this->label1 = (new System::Windows::Forms::Label());
			this->panel1->SuspendLayout();
			this->SuspendLayout();
			// 
			// panel1
			// 
			this->panel1->BorderStyle = System::Windows::Forms::BorderStyle::FixedSingle;
			this->panel1->Controls->Add(this->label4);
			this->panel1->Controls->Add(this->label3);
			this->panel1->Controls->Add(this->label2);
			this->panel1->Controls->Add(this->label1);
			this->panel1->Location = System::Drawing::Point(0, 0);
			this->panel1->Name = S"panel1";
			this->panel1->Size = System::Drawing::Size(232, 64);
			this->panel1->TabIndex = 0;
			// 
			// label4
			// 
			this->label4->Font = (new System::Drawing::Font(S"Arial", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)0));
			this->label4->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label4->Location = System::Drawing::Point(64, 0);
			this->label4->Name = S"label4";
			this->label4->Size = System::Drawing::Size(112, 16);
			this->label4->TabIndex = 3;
			this->label4->Text = S"Mouse Coordinates:";
			this->label4->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// label3
			// 
			this->label3->Font = (new System::Drawing::Font(S"Arial", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)0));
			this->label3->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label3->Location = System::Drawing::Point(0, 48);
			this->label3->Name = S"label3";
			this->label3->Size = System::Drawing::Size(230, 12);
			this->label3->TabIndex = 2;
			this->label3->Text = S"label3";
			this->label3->TextAlign = System::Drawing::ContentAlignment::MiddleLeft;
			// 
			// label2
			// 
			this->label2->Font = (new System::Drawing::Font(S"Arial", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)0));
			this->label2->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label2->Location = System::Drawing::Point(0, 32);
			this->label2->Name = S"label2";
			this->label2->Size = System::Drawing::Size(230, 12);
			this->label2->TabIndex = 1;
			this->label2->Text = S"label2";
			this->label2->TextAlign = System::Drawing::ContentAlignment::MiddleLeft;
			// 
			// label1
			// 
			this->label1->Font = (new System::Drawing::Font(S"Arial", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)0));
			this->label1->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label1->Location = System::Drawing::Point(0, 16);
			this->label1->Name = S"label1";
			this->label1->Size = System::Drawing::Size(230, 12);
			this->label1->TabIndex = 0;
			this->label1->Text = S"label1";
			this->label1->TextAlign = System::Drawing::ContentAlignment::MiddleLeft;
			// 
			// CursorStatus
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(6, 14);
			this->BackColor = System::Drawing::Color::FromArgb((System::Int32)(System::Byte)255, (System::Int32)(System::Byte)255, (System::Int32)(System::Byte)192);
			this->ClientSize = System::Drawing::Size(232, 64);
			this->ControlBox = false;
			this->Controls->Add(this->panel1);
			this->Font = (new System::Drawing::Font(S"Arial", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, (System::Byte)0));
			this->ForeColor = System::Drawing::Color::Transparent;
			this->FormBorderStyle = System::Windows::Forms::FormBorderStyle::None;
			this->Location = System::Drawing::Point(15, 15);
			this->MaximizeBox = false;
			this->MinimizeBox = false;
			this->Name = S"CursorStatus";
			this->Opacity = 0.93;
			this->ShowInTaskbar = false;
			this->SizeGripStyle = System::Windows::Forms::SizeGripStyle::Hide;
			this->StartPosition = System::Windows::Forms::FormStartPosition::Manual;
			this->Text = S"CursorStatus";
			this->Load += new System::EventHandler(this, &CursorStatus::CursorStatus_Load);
			this->panel1->ResumeLayout(false);
			this->ResumeLayout(false);

		}		
	private: System::Void CursorStatus_Load(System::Object *  sender, System::EventArgs *  e)
			 {
			 }

	};
}